/*
 * Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
/*
 *	resource -
 *		Make it very very easy to use cursors, patterns, and bitmaps.
 *
 *				Paul Haeberli - 1986
 */
#include "bitmap.h"
#include "stdio.h"

rescursor(name)
char *name;
{
    Bitmap *bm;

    bm = bmread(name);
    if(!bm)
	return;
    if(bm->xsize != 16 && bm->ysize != 16) {
	fprintf(stderr,"rescursor: cursor must be 16x16\n");
	return;
    }
    defcursor(200,bm->base);
    curorigin(200,bm->xorig,bm->yorig);
    setcursor(200);
    bmfree(bm);
}

respattern(name)
char *name;
{
    Bitmap *bm;
    int xsize, ysize;

    bm = bmread(name);
    if(!bm)
	return;
    xsize = bm->xsize;
    ysize = bm->xsize;
    if(xsize != 16 && xsize != 32 && xsize != 64) {
	fprintf(stderr,"respattern: patterns must be 16x16 or 32x32 or 64x64\n");
	return;
    }
    if(xsize != ysize) {
	fprintf(stderr,"respattern: patterns must be square\n");
	return;
    }
    defpattern(200,xsize,bm->base);	
    setpattern(200);
    bmfree(bm);
}

resbitmap(name)
char *name;
{
    Bitmap *bm;

    bm = bmread(name);
    if(!bm)
	return;
    mydrawbitmap(bm);
    bmfree(bm);
}

reslinestyle(name)
char *name;
{
}
